Vai al contenuto


Archived

Questa discussione è archiviata e chiusa a future risposte.

NeoMacintosh

[Risolto] MacPorts - Installazione da sorgente

Recommended Posts

Prova a dare:

sudo port uninstall redline

e a cancellare tutto quello che riguarda redline in opt (cerca anche nelle sottocartelle)

e poi riprova

Condividi questo messaggio


Link di questo messaggio
Condividi su altri siti


Sotto la cartella /opt/local/var/macport/receipts ci sono dei file, ma non so se sono solo quelli gli interessati oppure bisogna togliere anche altri contenuti in altre cartelle? e come li trovo gli altri file? non vorrei togliere qualcosa che mi provochi danni...

Ma se io cancello con unistall readline, poi devo rifare tutte le operazioni precedenti?

Condividi questo messaggio


Link di questo messaggio
Condividi su altri siti
Prova a dare:

sudo port uninstall redline

e a cancellare tutto quello che riguarda redline in opt (cerca anche nelle sottocartelle)

e poi riprova

il risultato è:

MacbookPro:~ nuvolare$ sudo port uninstall redline           
Password:
Error: port uninstall failed: Registry error: redline not registered as installed.
MacbookPro:~ nuvolare$ 

Condividi questo messaggio


Link di questo messaggio
Condividi su altri siti

Il fatto è che dice che ci sono dei file che non appartengono a nessuna installazione.

Prova

sudo port uninstall readline

sudo port clean readline

e poi riprova a reinstallare..

Condividi questo messaggio


Link di questo messaggio
Condividi su altri siti

perfetto almeno adesso con clean readline, mi dice : cleaning redline, quindi qualcosa ha tolto.

Poi per installare intendi sempre readline? quindi reinstallo facedo sudo port install readline ? oppure intendi glade3? (sudo port install glade3)

Condividi questo messaggio


Link di questo messaggio
Condividi su altri siti
perfetto almeno adesso con clean readline, mi dice : cleaning redline, quindi qualcosa ha tolto.

Poi per installare intendi sempre readline? quindi reinstallo facedo sudo port install readline ? oppure intendi glade3? (sudo port install glade3)

Prova direttamente con sudo port install glade3

Facci sapere l'esito!

Condividi questo messaggio


Link di questo messaggio
Condividi su altri siti
Prova direttamente con sudo port install glade3

Facci sapere l'esito!

Ricevo lo stesso errore postato precedentemente, il vantaggio e che qualcosa si è smosso, avevi ragione, ma è rimasto 1 errore...

MacbookPro:~ nuvolare$ sudo port install glade3
Password:
--->  Activating readline @6.0.000_1
Error: Target org.macports.activate returned: Image error: /opt/local/lib/libreadline.5.2.dylib already exists and does not belong to a registered port.  Unable to activate port readline.
Error: The following dependencies failed to build: devhelp gconf gtk2 atk gtk-doc gnome-doc-utils iso-codes python25 readline sqlite3 tk Xft2 fontconfig freetype xorg-xproto xrender xorg-libX11 xorg-bigreqsproto xorg-inputproto xorg-kbproto xorg-libXau xorg-libXdmcp xorg-xcmiscproto xorg-xextproto xorg-xf86bigfontproto xorg-xtrans xorg-renderproto tcl xorg-libXScrnSaver xorg-libXext xorg-scrnsaverproto libxslt libxml2 p5-xml-parser py25-libxml2 rarian getopt intltool gnome-common cairo libpixman libpng jasper jpeg pango shared-mime-info tiff xorg-libXcomposite xorg-compositeproto xorg-libXfixes xorg-fixesproto xorg-libXcursor xorg-libXdamage xorg-damageproto xorg-libXi xorg-libXinerama xorg-xineramaproto xorg-libXrandr xorg-randrproto orbit2 libidl policykit libwnck libgnomecanvas libart_lgpl libglade2 startup-notification xorg-libsm xorg-libice webkit-gtk enchant aspell texinfo lzmautils hunspell gst-plugins-base cdparanoia gnome-vfs desktop-file-utils popt gnome-mime-data gstreamer bison flex gzip libogg liboil libtheora libvorbis icu libsoup gnutls libgcrypt libgpg-error libtasn1 lzo opencdk libproxy xorg-libXmu xorg-libXt xorg-util-macros hicolor-icon-theme libgnomeui gnome-icon-theme icon-naming-utils p5-xml-simple p5-xml-namespacesupport p5-xml-sax gnome-keyring libbonoboui libbonobo libgnome esound audiofile py25-gtk py25-cairo py25-numpy fftw-3 py25-nose py25-setuptools py25-gobject
Error: Status 1 encountered during processing.
MacbookPro:~ nuvolare$ 

Condividi questo messaggio


Link di questo messaggio
Condividi su altri siti
Sposta il file /opt/local/lib/libreadline.5.2.dylib in

/opt/local/lib/readline.5.2.dylib.bak

e riprova

Si, ho provato a fare questa prova prima del tuo post, ma ho spostato il file in scrivania, visto che mi diceva che quel file era già esistente, e sembra che si sta sbloccato, ma è ancora in esecuzione, vi faccio sapere il risultato finale...

Speriamo bene !!!

Condividi questo messaggio


Link di questo messaggio
Condividi su altri siti

Dopo circa 2 ore di lavoro in cui sul Terminale vedevo continui installing, Configuring... finisce dicendo :

Error: On Mac OS X 10.4, cairo 1.8.8 requires Xcode 2.4.1 or later but you have Xcode 2.4.
Error: Target org.macports.extract returned: incompatible Xcode version
Error: The following dependencies failed to build: devhelp gconf gtk2 cairo jasper jpeg pango shared-mime-info tiff xorg-libXcomposite xorg-compositeproto xorg-libXfixes xorg-fixesproto xorg-libXcursor xorg-libXdamage xorg-damageproto xorg-libXi xorg-libXinerama xorg-xineramaproto xorg-libXrandr xorg-randrproto orbit2 libidl policykit libwnck libgnomecanvas libart_lgpl libglade2 startup-notification xorg-libsm xorg-libice webkit-gtk enchant aspell texinfo lzmautils hunspell gst-plugins-base cdparanoia gnome-vfs desktop-file-utils popt gnome-mime-data gstreamer bison flex gzip libogg liboil libtheora libvorbis icu libsoup gnutls libgcrypt libgpg-error libtasn1 lzo opencdk libproxy xorg-libXmu xorg-libXt xorg-util-macros hicolor-icon-theme libgnomeui gnome-icon-theme icon-naming-utils p5-xml-simple p5-xml-namespacesupport p5-xml-sax gnome-keyring libbonoboui libbonobo libgnome esound audiofile py25-gtk py25-cairo py25-numpy fftw-3 py25-nose py25-setuptools py25-gobject
Error: Status 1 encountered during processing.
MacbookPro:~ nuvolare$

A questo punto vorrei provare ad aggiornare Xcode al 2.4.1 o superiori (se esistono) ma non riesco a trovare il link per scaricare l'aggiornamento, mi sapreste dire qualcosa?

Grazie

Condividi questo messaggio


Link di questo messaggio
Condividi su altri siti

ok, ho messo a scaricare è un pò grande quindi ci impiegherà un pò, vi faccio sapere i risultati successivi, credo che poi devo ripartire da capo vero?

Grazie

Condividi questo messaggio


Link di questo messaggio
Condividi su altri siti

Dopo aver scaricato Xcode2.4.1 come necessitava, ho riavviato l'installazione di glade3, con il solito comando "sudo port install glade3" ed è subito partito come sempre.

Inserisco solo la parte finale:

--->  Fetching libtheora
--->  Attempting to fetch libtheora-1.0.tar.bz2 from http://arn.se.distfiles.macports.org/libtheora
--->  Verifying checksum(s) for libtheora
--->  Extracting libtheora
Error: On Mac OS X 10.4, libtheora 1.0 requires Xcode 2.5 or later but you have Xcode 2.4.1.
Error: Target org.macports.extract returned: incompatible Xcode version
Error: The following dependencies failed to build: devhelp webkit-gtk gst-plugins-base libtheora icu libsoup gnutls libgcrypt libgpg-error libtasn1 lzo opencdk libproxy xorg-libXmu xorg-libXt xorg-util-macros hicolor-icon-theme libgnomeui gnome-icon-theme icon-naming-utils p5-xml-simple p5-xml-namespacesupport p5-xml-sax gnome-keyring libbonoboui libbonobo libgnome esound audiofile py25-gtk py25-cairo py25-numpy fftw-3 py25-nose py25-setuptools py25-gobject
Error: Status 1 encountered during processing.
MacbookPro:~ nuvolare$ 

Ma il 2.5 è sempre per Tiger?

Dove trovo l'ultimissima versione di Xcode?

In quel sito ho scaricato il 2.4.1 e credo che non ce ne fossero altri, se non sbaglio

Condividi questo messaggio


Link di questo messaggio
Condividi su altri siti

Eccomi nuovamente con un altro errore....

Ma secondo voi, perché ho tutti questi errori?

--->  Configuring gst-plugins-base
--->  Building gst-plugins-base
Error: Target org.macports.build returned: shell command " cd "/opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_ports_gnome_gst-plugins-base/work/gst-plugins-base-0.10.23" && make all " returned error 2
Command output:   CC    vs_4tap.o
 LINK  libgstvideoscale.la
warning: no debug map in executable (-arch i386)
Making all in volume
 CC    gstvolume.o
 LINK  libgstvolume.la
warning: no debug map in executable (-arch i386)
Making all in sys
Making all in ximage
 CC    ximagesink.o
 CC    ximage.o
 LINK  libgstximagesink.la
warning: no debug map in executable (-arch i386)
Making all in xvimage
 CC    xvimagesink.o
 LINK  libgstxvimagesink.la
warning: no debug map in executable (-arch i386)
Making all in ext
Making all in cdparanoia
 CC    gstcdparanoiasrc.o
/opt/local/include/cdda_interface.h:175: warning: 'strerror_tr' defined but not used
 LINK  libgstcdparanoia.la
/usr/libexec/gcc/i686-apple-darwin8/4.0.1/ld: Undefined symbols:
_cdda_identify
_cdda_identify_scsi
collect2: ld returned 1 exit status
make[3]: *** [libgstcdparanoia.la] Error 1
make[2]: *** [all-recursive] Error 1
make[1]: *** [all-recursive] Error 1
make: *** [all] Error 2

Error: The following dependencies failed to build: devhelp webkit-gtk gst-plugins-base icu libsoup gnutls libgcrypt libgpg-error libtasn1 lzo opencdk libproxy xorg-libXmu xorg-libXt xorg-util-macros hicolor-icon-theme libgnomeui gnome-icon-theme icon-naming-utils p5-xml-simple p5-xml-namespacesupport p5-xml-sax gnome-keyring libbonoboui libbonobo libgnome esound audiofile py25-gtk py25-cairo py25-numpy fftw-3 py25-nose py25-setuptools py25-gobject
Error: Status 1 encountered during processing.
MacbookPro:~ nuvolare$ 

Conviene continuare a risolverli oppure conviene fare una partizione e far girare emulare Linux?

Grazie per la pazienza

Condividi questo messaggio


Link di questo messaggio
Condividi su altri siti

Ok, ho fatto come mi hai detto, ho postato nella mail list di macport e mi hanno detto di fare l'upgrade, riporto tutta la discussione così magari può servire ad altra gente :

The fact that you are seeing this error indicates that you do not have the latest
version of port gst-plugins-base.

Please update your ports by doing the following

sudo port clean gst-plugins-base
sudo port selfupdate
sudo port upgrade outdated

then try installing glade again. 
By the way, the port glade is an obsolete version (2.12.2) which is not currently
recommended nor maintained by the upstream
developers.  Port glade3 (version 3.6.6) is the current stable release and is to b
e preferred.

sudo port install glade3

Una volta fatto questo, tutto è andato a buon fine e glade3 è stato attivato senza terminare con errori vari, come riportato sotto, la parte finale

--->  Verifying checksum(s) for glade3
--->  Extracting glade3
--->  Configuring glade3
--->  Building glade3
--->  Staging glade3 into destroot
--->  Installing glade3 @3.6.6_0
--->  Activating glade3 @3.6.6_0
--->  Cleaning glade3
MacbookPro:~ nuvoare$

Adesso, come faccio ad aprire glade3?

Condividi questo messaggio


Link di questo messaggio
Condividi su altri siti

come lo apriresti in Linux?

Comunque gli upgrade dovresti farli quasi giornalmente, ci sono decine di ports che vengono aggiornati ogni settimana..

Condividi questo messaggio


Link di questo messaggio
Condividi su altri siti

non so perché non ho mai usato Linux, ma da Terminale se facessi, sudo port run glade3 non dovrebbe aprirlo?

Per quanto riguarda gli aggiornamenti pasta fare "sudo port upgrade outdated" ?

Condividi questo messaggio


Link di questo messaggio
Condividi su altri siti
Mi sa che hai un po' di confusione. Devi digitare da terminale

glade-3

e lui dovrebbe partire..

Confusione per cosa?

Se digito glade-3 da Terminale mi dice

MacbookPro:~ nuvolare$ glade-3

(glade-3:3377): Gtk-WARNING **: cannot open display: :0
MacbookPro:~ nuvolare$ 

Condividi questo messaggio


Link di questo messaggio
Condividi su altri siti

Nel CD del mac ho trovato X11SDK.pkg è questo?

Perché se provo ad installarlo mi dice che non c'è niente da installare.

Sai se si può scaricare online per Tiger?

Condividi questo messaggio


Link di questo messaggio
Condividi su altri siti

Ok, adesso si è avviato, ma mancano tutte le icone e poi su Terminale mi escono fuori un sacco di scritte, incollo le ultime giusto per capire :

(glade-3:23375): GladeUI-WARNING **: No icon named 'widget-gnome-iconlist' was found for object class 'GnomeIconList'.
GladeUI-Message: No displayable values for property GnomeIconList::selection-mode

(glade-3:23375): GladeUI-WARNING **: No icon named 'widget-bonobo-dock' was found for object class 'BonoboDock'.

(glade-3:23375): GladeUI-WARNING **: No icon named 'widget-bonobo-dockitem' was found for object class 'BonoboDockItem'.
Xlib:  extension "RANDR" missing on display ":0.0".

(glade-3:23375): Gtk-WARNING **: Impossibile trovare l'icona ?widget-gtk-frame?. Il tema ?hicolor?
non ? stato trovato e potrebbe essere necessario installarlo.
? possibile recuperarne una copia presso:
       http://icon-theme.freedesktop.org/releases

Condividi questo messaggio


Link di questo messaggio
Condividi su altri siti

Sul sito che c'è riportato ho trovato e scaricato un pacchetto che si chiama hicolor-icon-theme-0.10 . Ma no so se è questo il file corretto di cui lui necessita. Come dici tu di fare per installare il pacchetto di icone con macport?

Poi ho notato una cosa, non so se sia normale, ma prima ricordo di aver visto che dentro /opt/local c'era la cartella port, che adesso non c'è più è normale?

Facendo which glade-3, mi risponde /opt/local/bin/glade-3, quindi è giusta

Facendo port contents glade3 mi dice tutto ciò che è contenuto nel pacchetto, ma non conosco la lista che lo compone, quindi non riesco a controllare quello che manca.

Condividi questo messaggio


Link di questo messaggio
Condividi su altri siti

×